List customers
curl --request GET \
--url https://back.leap.onclarity.com/api/customer/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/customer/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Customers
List customers
GET
/
api
/
customer
/
list
List customers
curl --request GET \
--url https://back.leap.onclarity.com/api/customer/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/customer/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Query Parameters
Channel type (web, android_sdk, ios_sdk, whatsapp)
Available options:
whatsapp, android_sdk, ios_sdk, web, voice, social, x, email, instagram, linkedin